/*******************************************************************************
* Copyright (c) 2000, 2003 IBM Corporation and others.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Common Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/cpl-v10.html
* 
* Contributors:
*     IBM Corporation - initial API and implementation
*******************************************************************************/

#ifdef NATIVE_STATS
int OS_nativeFunctionCallCount[];
char* OS_nativeFunctionNames[];
#define OS_NATIVE_ENTER(env, that, func) OS_nativeFunctionCallCount[func]++;
#define OS_NATIVE_EXIT(env, that, func) 
#else
#define OS_NATIVE_ENTER(env, that, func) 
#define OS_NATIVE_EXIT(env, that, func) 
#endif

#define AECountItems_FUNC 0
#define AEGetNthPtr_FUNC 1
#define AEProcessAppleEvent_FUNC 2
#define ATSFontGetPostScriptName_FUNC 3
#define ATSUBatchBreakLines_FUNC 4
#define ATSUCreateStyle_FUNC 5
#define ATSUCreateTextLayout_FUNC 6
#define ATSUCreateTextLayoutWithTextPtr_FUNC 7
#define ATSUDisposeStyle_FUNC 8
#define ATSUDisposeTextLayout_FUNC 9
#define ATSUDrawText_FUNC 10
#define ATSUFindFontName_FUNC 11
#define ATSUGetFontIDs_FUNC 12
#define ATSUGetGlyphBounds__IIIIISII_3I_FUNC 13
#define ATSUGetGlyphBounds__IIIIISILorg_eclipse_swt_internal_carbon_ATSTrapezoid_2_3I_FUNC 14
#define ATSUGetLayoutControl_FUNC 15
#define ATSUGetLineControl_FUNC 16
#define ATSUGetSoftLineBreaks_FUNC 17
#define ATSUGetTextHighlight_FUNC 18
#define ATSUGetUnjustifiedBounds_FUNC 19
#define ATSUHighlightText_FUNC 20
#define ATSUNextCursorPosition_FUNC 21
#define ATSUOffsetToPosition_FUNC 22
#define ATSUPositionToOffset_FUNC 23
#define ATSUPreviousCursorPosition_FUNC 24
#define ATSUSetAttributes_FUNC 25
#define ATSUSetFontFeatures_FUNC 26
#define ATSUSetHighlightingMethod_FUNC 27
#define ATSUSetLayoutControls_FUNC 28
#define ATSUSetLineControls_FUNC 29
#define ATSUSetRunStyle_FUNC 30
#define ATSUSetSoftLineBreak_FUNC 31
#define ATSUSetTabArray_FUNC 32
#define ATSUSetTextPointerLocation_FUNC 33
#define ATSUSetTransientFontMatching_FUNC 34
#define ATSUTextDeleted_FUNC 35
#define ATSUTextInserted_FUNC 36
#define ActiveNonFloatingWindow_FUNC 37
#define AddDataBrowserItems_FUNC 38
#define AddDataBrowserListViewColumn_FUNC 39
#define AddDragItemFlavor_FUNC 40
#define AppendMenuItemTextWithCFString_FUNC 41
#define AutoSizeDataBrowserListViewColumns_FUNC 42
#define BeginUpdate_FUNC 43
#define BringToFront_FUNC 44
#define CFArrayAppendValue_FUNC 45
#define CFArrayCreateMutable_FUNC 46
#define CFArrayGetCount_FUNC 47
#define CFArrayGetValueAtIndex_FUNC 48
#define CFRelease_FUNC 49
#define CFStringCreateWithBytes_FUNC 50
#define CFStringCreateWithCharacters_FUNC 51
#define CFStringGetBytes_FUNC 52
#define CFStringGetCharacters_FUNC 53
#define CFStringGetLength_FUNC 54
#define CFStringGetSystemEncoding_FUNC 55
#define CFURLCopyFileSystemPath_FUNC 56
#define CFURLCopyLastPathComponent_FUNC 57
#define CFURLCreateCopyAppendingPathComponent_FUNC 58
#define CFURLCreateCopyDeletingLastPathComponent_FUNC 59
#define CFURLCreateFromFSRef_FUNC 60
#define CFURLCreateWithFileSystemPath_FUNC 61
#define CFURLGetFSRef_FUNC 62
#define CGBitmapContextCreate_FUNC 63
#define CGColorSpaceCreateDeviceRGB_FUNC 64
#define CGColorSpaceRelease_FUNC 65
#define CGContextAddArc_FUNC 66
#define CGContextAddArcToPoint_FUNC 67
#define CGContextAddLineToPoint_FUNC 68
#define CGContextAddLines_FUNC 69
#define CGContextBeginPath_FUNC 70
#define CGContextClearRect_FUNC 71
#define CGContextClip_FUNC 72
#define CGContextClosePath_FUNC 73
#define CGContextDrawImage_FUNC 74
#define CGContextEOFillPath_FUNC 75
#define CGContextFillPath_FUNC 76
#define CGContextFillRect_FUNC 77
#define CGContextFlush_FUNC 78
#define CGContextGetTextPosition_FUNC 79
#define CGContextMoveToPoint_FUNC 80
#define CGContextRelease_FUNC 81
#define CGContextRestoreGState_FUNC 82
#define CGContextSaveGState_FUNC 83
#define CGContextScaleCTM_FUNC 84
#define CGContextSelectFont_FUNC 85
#define CGContextSetFillColor_FUNC 86
#define CGContextSetFillColorSpace_FUNC 87
#define CGContextSetFont_FUNC 88
#define CGContextSetFontSize_FUNC 89
#define CGContextSetLineCap_FUNC 90
#define CGContextSetLineDash_FUNC 91
#define CGContextSetLineWidth_FUNC 92
#define CGContextSetRGBFillColor_FUNC 93
#define CGContextSetRGBStrokeColor_FUNC 94
#define CGContextSetShouldAntialias_FUNC 95
#define CGContextSetShouldSmoothFonts_FUNC 96
#define CGContextSetStrokeColor_FUNC 97
#define CGContextSetStrokeColorSpace_FUNC 98
#define CGContextSetTextDrawingMode_FUNC 99
#define CGContextSetTextMatrix_FUNC 100
#define CGContextSetTextPosition_FUNC 101
#define CGContextShowText_FUNC 102
#define CGContextShowTextAtPoint_FUNC 103
#define CGContextStrokePath_FUNC 104
#define CGContextStrokeRect_FUNC 105
#define CGContextSynchronize_FUNC 106
#define CGContextTranslateCTM_FUNC 107
#define CGDataProviderCreateWithData_FUNC 108
#define CGDataProviderRelease_FUNC 109
#define CGFontCreateWithPlatformFont_FUNC 110
#define CGFontRelease_FUNC 111
#define CGImageCreate_FUNC 112
#define CGImageGetAlphaInfo_FUNC 113
#define CGImageGetBitsPerComponent_FUNC 114
#define CGImageGetBitsPerPixel_FUNC 115
#define CGImageGetBytesPerRow_FUNC 116
#define CGImageGetColorSpace_FUNC 117
#define CGImageGetHeight_FUNC 118
#define CGImageGetWidth_FUNC 119
#define CGImageRelease_FUNC 120
#define CGPostKeyboardEvent_FUNC 121
#define CGPostMouseEvent_FUNC 122
#define CGWarpMouseCursorPosition_FUNC 123
#define CallNextEventHandler_FUNC 124
#define CharWidth_FUNC 125
#define ClearCurrentScrap_FUNC 126
#define ClearKeyboardFocus_FUNC 127
#define ClearMenuBar_FUNC 128
#define ClipCGContextToRegion_FUNC 129
#define CloseDataBrowserContainer_FUNC 130
#define ClosePoly_FUNC 131
#define CloseRgn_FUNC 132
#define CollapseWindow_FUNC 133
#define ConvertEventRefToEventRecord_FUNC 134
#define ConvertFromPStringToUnicode_FUNC 135
#define ConvertFromUnicodeToPString_FUNC 136
#define CopyBits_FUNC 137
#define CopyControlTitleAsCFString_FUNC 138
#define CopyDeepMask_FUNC 139
#define CopyMenuItemTextAsCFString_FUNC 140
#define CopyRgn_FUNC 141
#define CountDragItemFlavors_FUNC 142
#define CountDragItems_FUNC 143
#define CountMenuItems_FUNC 144
#define CountSubControls_FUNC 145
#define CreateBevelButtonControl_FUNC 146
#define CreateCGContextForPort_FUNC 147
#define CreateCheckBoxControl_FUNC 148
#define CreateDataBrowserControl_FUNC 149
#define CreateEditUnicodeTextControl_FUNC 150
#define CreateEvent_FUNC 151
#define CreateGroupBoxControl_FUNC 152
#define CreateIconControl_FUNC 153
#define CreateNewMenu_FUNC 154
#define CreateNewWindow_FUNC 155
#define CreatePopupArrowControl_FUNC 156
#define CreatePopupButtonControl_FUNC 157
#define CreateProgressBarControl_FUNC 158
#define CreatePushButtonControl_FUNC 159
#define CreatePushButtonWithIconControl_FUNC 160
#define CreateRadioButtonControl_FUNC 161
#define CreateRootControl_FUNC 162
#define CreateScrollBarControl_FUNC 163
#define CreateSeparatorControl_FUNC 164
#define CreateSliderControl_FUNC 165
#define CreateStandardAlert_FUNC 166
#define CreateStaticTextControl_FUNC 167
#define CreateTabsControl_FUNC 168
#define CreateTextToUnicodeInfoByEncoding_FUNC 169
#define CreateUnicodeToTextInfoByEncoding_FUNC 170
#define CreateUserPaneControl_FUNC 171
#define CreateWindowGroup_FUNC 172
#define DMGetFirstScreenDevice_FUNC 173
#define DMGetNextScreenDevice_FUNC 174
#define DeleteMenu_FUNC 175
#define DeleteMenuItem_FUNC 176
#define DeleteMenuItems_FUNC 177
#define DiffRgn_FUNC 178
#define DisableControl_FUNC 179
#define DisableMenuCommand_FUNC 180
#define DisableMenuItem_FUNC 181
#define DisposeControl_FUNC 182
#define DisposeDrag_FUNC 183
#define DisposeGWorld_FUNC 184
#define DisposeHandle_FUNC 185
#define DisposeMenu_FUNC 186
#define DisposePtr_FUNC 187
#define DisposeRgn_FUNC 188
#define DisposeTextToUnicodeInfo_FUNC 189
#define DisposeUnicodeToTextInfo_FUNC 190
#define DisposeWindow_FUNC 191
#define DrawControlInCurrentPort_FUNC 192
#define DrawMenuBar_FUNC 193
#define DrawText_FUNC 194
#define DrawThemeButton_FUNC 195
#define DrawThemeEditTextFrame_FUNC 196
#define DrawThemeFocusRect_FUNC 197
#define DrawThemePopupArrow_FUNC 198
#define DrawThemeSeparator_FUNC 199
#define DrawThemeTextBox_FUNC 200
#define EmbedControl_FUNC 201
#define EmptyRect_FUNC 202
#define EmptyRgn_FUNC 203
#define EnableControl_FUNC 204
#define EnableMenuCommand_FUNC 205
#define EnableMenuItem_FUNC 206
#define EndUpdate_FUNC 207
#define EqualRect_FUNC 208
#define EraseRect_FUNC 209
#define EraseRgn_FUNC 210
#define FMCreateFontFamilyInstanceIterator_FUNC 211
#define FMCreateFontFamilyIterator_FUNC 212
#define FMDisposeFontFamilyInstanceIterator_FUNC 213
#define FMDisposeFontFamilyIterator_FUNC 214
#define FMGetATSFontRefFromFont_FUNC 215
#define FMGetFontFamilyFromName_FUNC 216
#define FMGetFontFamilyInstanceFromFont_FUNC 217
#define FMGetFontFamilyName_FUNC 218
#define FMGetFontFromFontFamilyInstance_FUNC 219
#define FMGetNextFontFamily_FUNC 220
#define FMGetNextFontFamilyInstance_FUNC 221
#define FPIsFontPanelVisible_FUNC 222
#define FPShowHideFontPanel_FUNC 223
#define FSGetCatalogInfo_FUNC 224
#define FSpGetFInfo_FUNC 225
#define FSpMakeFSRef_FUNC 226
#define FetchFontInfo_FUNC 227
#define FindWindow_FUNC 228
#define Fix2Long_FUNC 229
#define FrameOval_FUNC 230
#define FramePoly_FUNC 231
#define FrameRect_FUNC 232
#define FrameRoundRect_FUNC 233
#define FrontWindow_FUNC 234
#define Gestalt_FUNC 235
#define GetAppFont_FUNC 236
#define GetApplicationEventTarget_FUNC 237
#define GetAvailableWindowAttributes_FUNC 238
#define GetAvailableWindowPositioningBounds_FUNC 239
#define GetBestControlRect_FUNC 240
#define GetCaretTime_FUNC 241
#define GetClip_FUNC 242
#define GetControl32BitMaximum_FUNC 243
#define GetControl32BitMinimum_FUNC 244
#define GetControl32BitValue_FUNC 245
#define GetControlBounds_FUNC 246
#define GetControlData__ISIILorg_eclipse_swt_internal_carbon_ControlFontStyleRec_2_3I_FUNC 247
#define GetControlData__ISIILorg_eclipse_swt_internal_carbon_Rect_2_3I_FUNC 248
#define GetControlData__ISII_3B_3I_FUNC 249
#define GetControlData__ISII_3I_3I_FUNC 250
#define GetControlData__ISII_3S_3I_FUNC 251
#define GetControlEventTarget_FUNC 252
#define GetControlFeatures_FUNC 253
#define GetControlOwner_FUNC 254
#define GetControlProperty_FUNC 255
#define GetControlReference_FUNC 256
#define GetControlRegion_FUNC 257
#define GetControlValue_FUNC 258
#define GetControlViewSize_FUNC 259
#define GetCurrentEventButtonState_FUNC 260
#define GetCurrentEventKeyModifiers_FUNC 261
#define GetCurrentEventLoop_FUNC 262
#define GetCurrentEventQueue_FUNC 263
#define GetCurrentProcess_FUNC 264
#define GetCurrentScrap_FUNC 265
#define GetDataBrowserCallbacks_FUNC 266
#define GetDataBrowserItemCount_FUNC 267
#define GetDataBrowserItemDataButtonValue_FUNC 268
#define GetDataBrowserItemPartBounds_FUNC 269
#define GetDataBrowserItemState_FUNC 270
#define GetDataBrowserItems_FUNC 271
#define GetDataBrowserListViewHeaderBtnHeight_FUNC 272
#define GetDataBrowserListViewHeaderDesc_FUNC 273
#define GetDataBrowserScrollBarInset_FUNC 274
#define GetDataBrowserScrollPosition_FUNC 275
#define GetDataBrowserSelectionAnchor_FUNC 276
#define GetDataBrowserSelectionFlags_FUNC 277
#define GetDataBrowserTableViewColumnPosition_FUNC 278
#define GetDataBrowserTableViewItemID_FUNC 279
#define GetDataBrowserTableViewItemRow_FUNC 280
#define GetDataBrowserTableViewNamedColumnWidth_FUNC 281
#define GetDataBrowserTableViewRowHeight_FUNC 282
#define GetDblTime_FUNC 283
#define GetDefFontSize_FUNC 284
#define GetDeviceList_FUNC 285
#define GetDragAllowableActions_FUNC 286
#define GetDragDropAction_FUNC 287
#define GetDragItemReferenceNumber_FUNC 288
#define GetDragModifiers_FUNC 289
#define GetDragMouse_FUNC 290
#define GetEventClass_FUNC 291
#define GetEventDispatcherTarget_FUNC 292
#define GetEventKind_FUNC 293
#define GetEventParameter__III_3II_3ILorg_eclipse_swt_internal_carbon_CGPoint_2_FUNC 294
#define GetEventParameter__III_3II_3ILorg_eclipse_swt_internal_carbon_HICommand_2_FUNC 295
#define GetEventParameter__III_3II_3ILorg_eclipse_swt_internal_carbon_Point_2_FUNC 296
#define GetEventParameter__III_3II_3ILorg_eclipse_swt_internal_carbon_RGBColor_2_FUNC 297
#define GetEventParameter__III_3II_3ILorg_eclipse_swt_internal_carbon_Rect_2_FUNC 298
#define GetEventParameter__III_3II_3I_3B_FUNC 299
#define GetEventParameter__III_3II_3I_3C_FUNC 300
#define GetEventParameter__III_3II_3I_3I_FUNC 301
#define GetEventParameter__III_3II_3I_3S_FUNC 302
#define GetEventTime_FUNC 303
#define GetFlavorData_FUNC 304
#define GetFlavorDataSize_FUNC 305
#define GetFlavorType_FUNC 306
#define GetFontInfo_FUNC 307
#define GetGDevice_FUNC 308
#define GetGWorld_FUNC 309
#define GetGlobalMouse_FUNC 310
#define GetHandleSize_FUNC 311
#define GetIconFamilyData_FUNC 312
#define GetIconRef_FUNC 313
#define GetIndMenuItemWithCommandID_FUNC 314
#define GetIndexedSubControl_FUNC 315
#define GetItemMark_FUNC 316
#define GetKeyboardFocus_FUNC 317
#define GetLastUserEventTime_FUNC 318
#define GetMBarHeight_FUNC 319
#define GetMainDevice_FUNC 320
#define GetMainEventQueue_FUNC 321
#define GetMenuCommandMark_FUNC 322
#define GetMenuEventTarget_FUNC 323
#define GetMenuFont_FUNC 324
#define GetMenuHeight_FUNC 325
#define GetMenuID_FUNC 326
#define GetMenuItemCommandID_FUNC 327
#define GetMenuItemHierarchicalMenu_FUNC 328
#define GetMenuItemRefCon_FUNC 329
#define GetMenuTrackingData_FUNC 330
#define GetMenuWidth_FUNC 331
#define GetMouse_FUNC 332
#define GetNextDevice_FUNC 333
#define GetPixBounds_FUNC 334
#define GetPixDepth_FUNC 335
#define GetPort_FUNC 336
#define GetPortBitMapForCopyBits_FUNC 337
#define GetPortBounds_FUNC 338
#define GetPortClipRegion_FUNC 339
#define GetPortVisibleRegion_FUNC 340
#define GetPtrSize_FUNC 341
#define GetRegionBounds_FUNC 342
#define GetRootControl_FUNC 343
#define GetScrapFlavorCount_FUNC 344
#define GetScrapFlavorData_FUNC 345
#define GetScrapFlavorInfoList_FUNC 346
#define GetScrapFlavorSize_FUNC 347
#define GetScriptManagerVariable_FUNC 348
#define GetSuperControl_FUNC 349
#define GetTabContentRect_FUNC 350
#define GetThemeBrushAsColor_FUNC 351
#define GetThemeDrawingState_FUNC 352
#define GetThemeFont_FUNC 353
#define GetThemeMenuItemExtra_FUNC 354
#define GetThemeMetric_FUNC 355
#define GetThemeTextColor_FUNC 356
#define GetThemeTextDimensions_FUNC 357
#define GetUserFocusEventTarget_FUNC 358
#define GetUserFocusWindow_FUNC 359
#define GetWRefCon_FUNC 360
#define GetWindowActivationScope_FUNC 361
#define GetWindowBounds_FUNC 362
#define GetWindowDefaultButton_FUNC 363
#define GetWindowEventTarget_FUNC 364
#define GetWindowFromPort_FUNC 365
#define GetWindowGroupOfClass_FUNC 366
#define GetWindowModality_FUNC 367
#define GetWindowPort_FUNC 368
#define GetWindowRegion_FUNC 369
#define GetWindowStructureWidths_FUNC 370
#define HIComboBoxAppendTextItem_FUNC 371
#define HIComboBoxCopyTextItemAtIndex_FUNC 372
#define HIComboBoxCreate_FUNC 373
#define HIComboBoxGetItemCount_FUNC 374
#define HIComboBoxInsertTextItemAtIndex_FUNC 375
#define HIComboBoxRemoveItemAtIndex_FUNC 376
#define HIObjectCopyClassID_FUNC 377
#define HIObjectCreate_FUNC 378
#define HIObjectRegisterSubclass_FUNC 379
#define HIViewAddSubview_FUNC 380
#define HIViewClick_FUNC 381
#define HIViewConvertPoint_FUNC 382
#define HIViewFindByID_FUNC 383
#define HIViewGetFirstSubview_FUNC 384
#define HIViewGetFrame_FUNC 385
#define HIViewGetLastSubview_FUNC 386
#define HIViewGetNextView_FUNC 387
#define HIViewGetRoot_FUNC 388
#define HIViewGetSizeConstraints_FUNC 389
#define HIViewGetSubviewHit_FUNC 390
#define HIViewGetViewForMouseEvent_FUNC 391
#define HIViewIsVisible_FUNC 392
#define HIViewRemoveFromSuperview_FUNC 393
#define HIViewSetBoundsOrigin_FUNC 394
#define HIViewSetDrawingEnabled_FUNC 395
#define HIViewSetFrame_FUNC 396
#define HIViewSetNeedsDisplay_FUNC 397
#define HIViewSetNeedsDisplayInRegion_FUNC 398
#define HIViewSetVisible_FUNC 399
#define HIViewSetZOrder_FUNC 400
#define HIViewSimulateClick_FUNC 401
#define HLock_FUNC 402
#define HMGetTagDelay_FUNC 403
#define HMHideTag_FUNC 404
#define HMInstallControlContentCallback_FUNC 405
#define HMSetTagDelay_FUNC 406
#define HUnlock_FUNC 407
#define HandleControlClick_FUNC 408
#define HandleControlSetCursor_FUNC 409
#define HiWord_FUNC 410
#define HideWindow_FUNC 411
#define HiliteMenu_FUNC 412
#define IconRefToIconFamily_FUNC 413
#define InitContextualMenus_FUNC 414
#define InitCursor_FUNC 415
#define InitDataBrowserCallbacks_FUNC 416
#define InitDataBrowserCustomCallbacks_FUNC 417
#define InsertMenu_FUNC 418
#define InsertMenuItemTextWithCFString_FUNC 419
#define InstallEventHandler_FUNC 420
#define InstallEventLoopTimer_FUNC 421
#define InstallReceiveHandler_FUNC 422
#define InstallTrackingHandler_FUNC 423
#define InvalWindowRect_FUNC 424
#define InvalWindowRgn_FUNC 425
#define InvertRect_FUNC 426
#define InvertRgn_FUNC 427
#define IsControlActive_FUNC 428
#define IsControlEnabled_FUNC 429
#define IsControlVisible_FUNC 430
#define IsDataBrowserItemSelected_FUNC 431
#define IsMenuCommandEnabled_FUNC 432
#define IsMenuItemEnabled_FUNC 433
#define IsValidControlHandle_FUNC 434
#define IsValidMenu_FUNC 435
#define IsValidWindowPtr_FUNC 436
#define IsWindowActive_FUNC 437
#define IsWindowCollapsed_FUNC 438
#define IsWindowVisible_FUNC 439
#define KeyTranslate_FUNC 440
#define KillPoly_FUNC 441
#define LineTo_FUNC 442
#define LoWord_FUNC 443
#define LockPortBits_FUNC 444
#define Long2Fix_FUNC 445
#define MenuSelect_FUNC 446
#define MoveControl_FUNC 447
#define MoveTo_FUNC 448
#define MoveWindow_FUNC 449
#define NavCreateChooseFolderDialog_FUNC 450
#define NavCreateGetFileDialog_FUNC 451
#define NavCreatePutFileDialog_FUNC 452
#define NavDialogDispose_FUNC 453
#define NavDialogGetReply_FUNC 454
#define NavDialogGetSaveFileName_FUNC 455
#define NavDialogGetUserAction_FUNC 456
#define NavDialogRun_FUNC 457
#define NavDialogSetSaveFileName_FUNC 458
#define NavGetDefaultDialogCreationOptions_FUNC 459
#define NewControl_FUNC 460
#define NewDrag_FUNC 461
#define NewGWorldFromPtr_FUNC 462
#define NewHandle_FUNC 463
#define NewHandleClear_FUNC 464
#define NewPtr_FUNC 465
#define NewPtrClear_FUNC 466
#define NewRgn_FUNC 467
#define OffsetRect_FUNC 468
#define OffsetRgn_FUNC 469
#define OpenDataBrowserContainer_FUNC 470
#define OpenPoly_FUNC 471
#define OpenRgn_FUNC 472
#define PMCreatePageFormat_FUNC 473
#define PMCreatePrintSettings_FUNC 474
#define PMCreateSession_FUNC 475
#define PMFlattenPageFormat_FUNC 476
#define PMFlattenPrintSettings_FUNC 477
#define PMGetAdjustedPageRect_FUNC 478
#define PMGetAdjustedPaperRect_FUNC 479
#define PMGetCollate_FUNC 480
#define PMGetCopies_FUNC 481
#define PMGetFirstPage_FUNC 482
#define PMGetJobNameCFString_FUNC 483
#define PMGetLastPage_FUNC 484
#define PMGetPageRange_FUNC 485
#define PMGetResolution_FUNC 486
#define PMRelease_FUNC 487
#define PMSessionBeginDocumentNoDialog_FUNC 488
#define PMSessionBeginPageNoDialog_FUNC 489
#define PMSessionCopyDestinationLocation_FUNC 490
#define PMSessionCreatePrinterList_FUNC 491
#define PMSessionDefaultPageFormat_FUNC 492
#define PMSessionDefaultPrintSettings_FUNC 493
#define PMSessionEndDocumentNoDialog_FUNC 494
#define PMSessionEndPageNoDialog_FUNC 495
#define PMSessionError_FUNC 496
#define PMSessionGetDestinationType_FUNC 497
#define PMSessionGetGraphicsContext_FUNC 498
#define PMSessionPageSetupDialog_FUNC 499
#define PMSessionPrintDialog_FUNC 500
#define PMSessionSetCurrentPrinter_FUNC 501
#define PMSessionSetDestination_FUNC 502
#define PMSessionSetDocumentFormatGeneration_FUNC 503
#define PMSessionSetError_FUNC 504
#define PMSessionUseSheets_FUNC 505
#define PMSessionValidatePageFormat_FUNC 506
#define PMSessionValidatePrintSettings_FUNC 507
#define PMSetCollate_FUNC 508
#define PMSetFirstPage_FUNC 509
#define PMSetJobNameCFString_FUNC 510
#define PMSetLastPage_FUNC 511
#define PMSetPageRange_FUNC 512
#define PMUnflattenPageFormat_FUNC 513
#define PMUnflattenPrintSettings_FUNC 514
#define PaintOval_FUNC 515
#define PaintPoly_FUNC 516
#define PaintRect_FUNC 517
#define PaintRoundRect_FUNC 518
#define PenSize_FUNC 519
#define PickColor_FUNC 520
#define PopUpMenuSelect_FUNC 521
#define PostEvent_FUNC 522
#define PostEventToQueue_FUNC 523
#define PtInRect_FUNC 524
#define PtInRgn_FUNC 525
#define PutScrapFlavor_FUNC 526
#define QDBeginCGContext_FUNC 527
#define QDEndCGContext_FUNC 528
#define QDFlushPortBuffer_FUNC 529
#define QDGlobalToLocalPoint_FUNC 530
#define QDLocalToGlobalPoint_FUNC 531
#define QDSetDirtyRegion_FUNC 532
#define QDSetPatternOrigin_FUNC 533
#define QDSwapTextFlags_FUNC 534
#define RGBBackColor_FUNC 535
#define RGBForeColor_FUNC 536
#define ReceiveNextEvent_FUNC 537
#define RectInRgn_FUNC 538
#define RectRgn_FUNC 539
#define RegisterAppearanceClient_FUNC 540
#define ReleaseEvent_FUNC 541
#define ReleaseIconRef_FUNC 542
#define ReleaseMenu_FUNC 543
#define ReleaseWindow_FUNC 544
#define ReleaseWindowGroup_FUNC 545
#define RemoveControlProperty_FUNC 546
#define RemoveDataBrowserItems_FUNC 547
#define RemoveDataBrowserTableViewColumn_FUNC 548
#define RemoveEventHandler_FUNC 549
#define RemoveEventLoopTimer_FUNC 550
#define RemoveReceiveHandler_FUNC 551
#define RemoveTrackingHandler_FUNC 552
#define RepositionWindow_FUNC 553
#define ReshapeCustomWindow_FUNC 554
#define RetainEvent_FUNC 555
#define RetainMenu_FUNC 556
#define RetainWindow_FUNC 557
#define RevealDataBrowserItem_FUNC 558
#define RunStandardAlert_FUNC 559
#define ScrollRect_FUNC 560
#define SectRect_FUNC 561
#define SectRgn_FUNC 562
#define SelectWindow_FUNC 563
#define SendBehind_FUNC 564
#define SendEventToEventTarget_FUNC 565
#define SetBevelButtonContentInfo_FUNC 566
#define SetClip_FUNC 567
#define SetControl32BitMaximum_FUNC 568
#define SetControl32BitMinimum_FUNC 569
#define SetControl32BitValue_FUNC 570
#define SetControlAction_FUNC 571
#define SetControlBounds_FUNC 572
#define SetControlColorProc_FUNC 573
#define SetControlData__IIIII_FUNC 574
#define SetControlData__IIIILorg_eclipse_swt_internal_carbon_ControlButtonContentInfo_2_FUNC 575
#define SetControlData__IIIILorg_eclipse_swt_internal_carbon_ControlTabInfoRecV1_2_FUNC 576
#define SetControlData__IIIILorg_eclipse_swt_internal_carbon_Rect_2_FUNC 577
#define SetControlData__IIII_3B_FUNC 578
#define SetControlData__IIII_3I_FUNC 579
#define SetControlData__IIII_3S_FUNC 580
#define SetControlFontStyle_FUNC 581
#define SetControlPopupMenuHandle_FUNC 582
#define SetControlProperty_FUNC 583
#define SetControlReference_FUNC 584
#define SetControlTitleWithCFString_FUNC 585
#define SetControlViewSize_FUNC 586
#define SetControlVisibility_FUNC 587
#define SetCursor_FUNC 588
#define SetDataBrowserCallbacks_FUNC 589
#define SetDataBrowserCustomCallbacks_FUNC 590
#define SetDataBrowserHasScrollBars_FUNC 591
#define SetDataBrowserItemDataBooleanValue_FUNC 592
#define SetDataBrowserItemDataButtonValue_FUNC 593
#define SetDataBrowserItemDataIcon_FUNC 594
#define SetDataBrowserItemDataItemID_FUNC 595
#define SetDataBrowserItemDataText_FUNC 596
#define SetDataBrowserListViewDisclosureColumn_FUNC 597
#define SetDataBrowserListViewHeaderBtnHeight_FUNC 598
#define SetDataBrowserListViewHeaderDesc_FUNC 599
#define SetDataBrowserScrollPosition_FUNC 600
#define SetDataBrowserSelectedItems_FUNC 601
#define SetDataBrowserSelectionFlags_FUNC 602
#define SetDataBrowserTableViewColumnPosition_FUNC 603
#define SetDataBrowserTableViewHiliteStyle_FUNC 604
#define SetDataBrowserTableViewItemRow_FUNC 605
#define SetDataBrowserTableViewNamedColumnWidth_FUNC 606
#define SetDataBrowserTarget_FUNC 607
#define SetDragAllowableActions_FUNC 608
#define SetDragDropAction_FUNC 609
#define SetDragInputProc_FUNC 610
#define SetEventLoopTimerNextFireTime_FUNC 611
#define SetEventParameter__IIII_3C_FUNC 612
#define SetEventParameter__IIII_3S_FUNC 613
#define SetFontInfoForSelection_FUNC 614
#define SetFrontProcess_FUNC 615
#define SetFrontProcessWithOptions_FUNC 616
#define SetGWorld_FUNC 617
#define SetItemMark_FUNC 618
#define SetKeyboardFocus_FUNC 619
#define SetMenuCommandMark_FUNC 620
#define SetMenuFont_FUNC 621
#define SetMenuItemCommandKey_FUNC 622
#define SetMenuItemHierarchicalMenu_FUNC 623
#define SetMenuItemIconHandle_FUNC 624
#define SetMenuItemKeyGlyph_FUNC 625
#define SetMenuItemModifiers_FUNC 626
#define SetMenuItemRefCon_FUNC 627
#define SetMenuItemTextWithCFString_FUNC 628
#define SetMenuTitleWithCFString_FUNC 629
#define SetOrigin_FUNC 630
#define SetPort_FUNC 631
#define SetPortBounds_FUNC 632
#define SetPortWindowPort_FUNC 633
#define SetPt_FUNC 634
#define SetRect_FUNC 635
#define SetRectRgn_FUNC 636
#define SetRootMenu_FUNC 637
#define SetThemeBackground_FUNC 638
#define SetThemeCursor_FUNC 639
#define SetThemeDrawingState_FUNC 640
#define SetThemeTextColor_FUNC 641
#define SetThemeWindowBackground_FUNC 642
#define SetUpControlBackground_FUNC 643
#define SetWRefCon_FUNC 644
#define SetWindowActivationScope_FUNC 645
#define SetWindowBounds_FUNC 646
#define SetWindowDefaultButton_FUNC 647
#define SetWindowGroup_FUNC 648
#define SetWindowGroupOwner_FUNC 649
#define SetWindowGroupParent_FUNC 650
#define SetWindowModality_FUNC 651
#define SetWindowTitleWithCFString_FUNC 652
#define ShowWindow_FUNC 653
#define SizeControl_FUNC 654
#define SizeWindow_FUNC 655
#define StillDown_FUNC 656
#define SyncCGContextOriginWithPort_FUNC 657
#define SysBeep_FUNC 658
#define TXNActivate_FUNC 659
#define TXNAdjustCursor_FUNC 660
#define TXNClick_FUNC 661
#define TXNCopy_FUNC 662
#define TXNCut_FUNC 663
#define TXNDataSize_FUNC 664
#define TXNDeleteObject_FUNC 665
#define TXNDraw_FUNC 666
#define TXNEchoMode_FUNC 667
#define TXNFocus_FUNC 668
#define TXNGetData_FUNC 669
#define TXNGetLineCount_FUNC 670
#define TXNGetLineMetrics_FUNC 671
#define TXNGetRectBounds_FUNC 672
#define TXNGetSelection_FUNC 673
#define TXNGetTXNObjectControls_FUNC 674
#define TXNGetViewRect_FUNC 675
#define TXNInitTextension_FUNC 676
#define TXNNewObject_FUNC 677
#define TXNOffsetToPoint_FUNC 678
#define TXNPaste_FUNC 679
#define TXNPointToOffset_FUNC 680
#define TXNSelectAll_FUNC 681
#define TXNSetBackground_FUNC 682
#define TXNSetData_FUNC 683
#define TXNSetFrameBounds_FUNC 684
#define TXNSetRectBounds_FUNC 685
#define TXNSetSelection_FUNC 686
#define TXNSetTXNObjectControls_FUNC 687
#define TXNSetTypeAttributes_FUNC 688
#define TXNShowSelection_FUNC 689
#define TestControl_FUNC 690
#define TextFace_FUNC 691
#define TextFont_FUNC 692
#define TextMode_FUNC 693
#define TextSize_FUNC 694
#define TextWidth_FUNC 695
#define TrackDrag_FUNC 696
#define TrackMouseLocationWithOptions_FUNC 697
#define UnionRect_FUNC 698
#define UnionRgn_FUNC 699
#define UnlockPortBits_FUNC 700
#define UpdateControls_FUNC 701
#define UpdateDataBrowserItems_FUNC 702
#define UpgradeScriptInfoToTextEncoding_FUNC 703
#define WaitMouseMoved_FUNC 704
#define X2Fix_FUNC 705
#define ZoomWindowIdeal_FUNC 706
#define kHIViewWindowContentID_FUNC 707
#define kPMDocumentFormatPDF_FUNC 708
#define kPMGraphicsContextCoreGraphics_FUNC 709
#define memcpy__III_FUNC 710
#define memcpy__ILorg_eclipse_swt_internal_carbon_ATSUTab_2I_FUNC 711
#define memcpy__ILorg_eclipse_swt_internal_carbon_BitMap_2I_FUNC 712
#define memcpy__ILorg_eclipse_swt_internal_carbon_Cursor_2I_FUNC 713
#define memcpy__ILorg_eclipse_swt_internal_carbon_EventRecord_2I_FUNC 714
#define memcpy__ILorg_eclipse_swt_internal_carbon_FontSelectionQDStyle_2I_FUNC 715
#define memcpy__ILorg_eclipse_swt_internal_carbon_HMHelpContentRec_2I_FUNC 716
#define memcpy__ILorg_eclipse_swt_internal_carbon_PixMap_2I_FUNC 717
#define memcpy__ILorg_eclipse_swt_internal_carbon_RGBColor_2I_FUNC 718
#define memcpy__ILorg_eclipse_swt_internal_carbon_Rect_2I_FUNC 719
#define memcpy__I_3BI_FUNC 720
#define memcpy__I_3CI_FUNC 721
#define memcpy__I_3II_FUNC 722
#define memcpy__Lorg_eclipse_swt_internal_carbon_ATSTrapezoid_2II_FUNC 723
#define memcpy__Lorg_eclipse_swt_internal_carbon_FontSelectionQDStyle_2II_FUNC 724
#define memcpy__Lorg_eclipse_swt_internal_carbon_GDevice_2II_FUNC 725
#define memcpy__Lorg_eclipse_swt_internal_carbon_HMHelpContentRec_2II_FUNC 726
#define memcpy__Lorg_eclipse_swt_internal_carbon_PixMap_2II_FUNC 727
#define memcpy__Lorg_eclipse_swt_internal_carbon_Rect_2II_FUNC 728
#define memcpy___3BII_FUNC 729
#define memcpy___3B_3CI_FUNC 730
#define memcpy___3CII_FUNC 731
#define memcpy___3C_3BI_FUNC 732
#define memcpy___3FII_FUNC 733
#define memcpy___3III_FUNC 734
#define memset_FUNC 735
